Description

In ubuntu Natty Narwhal and some branches of debian the indirect linking is not allowed and any attempt to link U++ applications fails,

because of unresolved symbols.

Report in forum: http://www.ultimatepp.org/forum/index.php?t=msg&#38;goto=31309

History

#1 - 02/21/2011 01:28 AM - Andrei Natanael Cosma

- File CtrlCore.upp.diff added

Adding freetype to CtrlCore package fix the issue.

#2 - 02/21/2011 08:06 AM - Jan Dolinár

Andrei Natanael Cosma wrote:

Adding freetype to CtrlCore package fix the issue.

Thanks Andrei, but I believe that proper place to put the lib dependency is actually Draw.upp, since it is actually used in this package only (and Painter,

but that depends on Draw). SystemDraw and similar packages would not work if you put it in CtrlCore only.

I am just testing this by building theide for natty in launchpad. I'll report if it succeeds later.

#3 - 02/21/2011 09:36 AM - Andrei Natanael Cosma

- File deleted (CtrlCore.upp.diff)

#4 - 02/21/2011 09:39 AM - Andrei Natanael Cosma

Jan Dolinár wrote:

Andrei Natanael Cosma wrote:

Adding freetype to CtrlCore package fix the issue.

Thanks Andrei, but I believe that proper place to put the lib dependency is actually Draw.upp, since it is actually used in this package only (and

Painter, but that depends on Draw). SystemDraw and similar packages would not work if you put it in CtrlCore only.

I am just testing this by building theide for natty in launchpad. I'll report if it succeeds later.
You're right, i think that's better. Tested with freetype in Draw and it works.

#5 - 02/21/2011 11:58 AM - Andrei Natanael Cosma

I've seen that your launchpad build failed for theide with NOGTK. Xrender should be added in CtrlCore.

CtrlCore

LINUX = X11 Xrender

Draw

LINUX= dl freetype

#6 - 03/05/2011 07:56 PM - Jan Dolinár

- Status changed from New to Ready for QA

- Assignee changed from Jan Dolinár to Andrei Natanael Cosma

- % Done changed from 0 to 100

I tested the linking with the changes made in version 3261 and it seems to work fine in natty.

Andrei, can you test it as well? If you don't find any trouble, I think we can finaly close this issue...

#7 - 03/05/2011 10:40 PM - Andrei Natanael Cosma

- Status changed from Ready for QA to Approved

Everything is fine.

I've tested with TheIDE (including .NOGTK) and an example from bazaar.

08/23/2025 2/2


